RASA X not running. Urgent

It’s been 4 days since I am trying to use RASA X. Did everything I could do to resolve the error but failed. I have important deliverables which are getting delayed because of this. Please help. When I run the rasa x command, I get the below error in the command prompt.

Microsoft Windows [Version 10.0.19042.985] (c) Microsoft Corporation. All rights reserved.

(rasa) E:\my_work_2>rasa x
Starting Rasa X in local mode... 🚀
2021-06-04 13:02:15 WARNING  rasax.community.services.insights.insight_service  - No local evaluation result files found.
2021-06-04 13:02:18 ERROR    concurrent.futures  - exception calling callback for <Future at 0x25876e43d08 state=finished raised gaierror>
Traceback (most recent call last):
  File "c:\users\tufai\anaconda3\envs\rasa\lib\concurrent\futures\thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "c:\users\tufai\anaconda3\envs\rasa\lib\socket.py", line 752, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\tufai\anaconda3\envs\rasa\lib\concurrent\futures\_base.py", line 324, in _invoke_callbacks
    callback(self)
  File "c:\users\tufai\anaconda3\envs\rasa\lib\asyncio\futures.py", line 365, in _call_set_state
    dest_loop.call_soon_threadsafe(_set_state, destination, source)
  File "c:\users\tufai\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 736, in call_soon_threadsafe
    self._check_closed()
  File "c:\users\tufai\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 479, in _check_closed
    raise RuntimeError('Event loop is closed')
RuntimeError: Event loop is closed
2021-06-04 13:02:18 ERROR    concurrent.futures  - exception calling callback for <Future at 0x25876e43308 state=finished returned list>
Traceback (most recent call last):
  File "c:\users\tufai\anaconda3\envs\rasa\lib\concurrent\futures\_base.py", line 324, in _invoke_callbacks
    callback(self)
  File "c:\users\tufai\anaconda3\envs\rasa\lib\asyncio\futures.py", line 365, in _call_set_state
    dest_loop.call_soon_threadsafe(_set_state, destination, source)
  File "c:\users\tufai\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 736, in call_soon_threadsafe
    self._check_closed()
  File "c:\users\tufai\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 479, in _check_closed
    raise RuntimeError('Event loop is closed')
RuntimeError: Event loop is closed
2021-06-04 13:02:28 ERROR    asyncio  - Task was destroyed but it is pending!
task: <Task pending coro=<TCPConnector._resolve_host() done, defined at c:\users\tufai\anaconda3\envs\rasa\lib\site-packages\aiohttp\connector.py:806> wait_for=<Future pending cb=[_chain_future.<locals>._call_check_cancel() at c:\users\tufai\anaconda3\envs\rasa\lib\asyncio\futures.py:351, <TaskWakeupMethWrapper object at 0x0000025876E60DF8>()]> cb=[TCPConnector._create_direct_connection.<locals>.drop_exception() at c:\users\tufai\anaconda3\envs\rasa\lib\site-packages\aiohttp\connector.py:1002]>
[2021-06-04 13:02:29 +0530] [2528] [INFO] Goin' Fast @ http://0.0.0.0:5002
2021-06-04 13:02:29 INFO     sanic.root  - Goin' Fast @ http://0.0.0.0:5002

The server is running at http://localhost:5002/login?username=me&password=x9QVt16meMq4

[2021-06-04 13:02:29 +0530] [2528] [INFO] Starting worker [2528]
2021-06-04 13:02:29 INFO     sanic.root  - Starting worker [2528]
2021-06-04 13:02:31 ERROR    asyncio  - Task was destroyed but it is pending!
task: <Task pending coro=<TCPConnector._resolve_host() running at c:\users\tufai\anaconda3\envs\rasa\lib\site-packages\aiohttp\connector.py:865> wait_for=<Future pending cb=[_chain_future.<locals>._call_check_cancel() at c:\users\tufai\anaconda3\envs\rasa\lib\asyncio\futures.py:351, <TaskWakeupMethWrapper object at 0x0000025876E73108>()]> cb=[TCPConnector._create_direct_connection.<locals>.drop_exception() at c:\users\tufai\anaconda3\envs\rasa\lib\site-packages\aiohttp\connector.py:1002]>
c:\users\tufai\anaconda3\envs\rasa\lib\site-packages\rasa\utils\train_utils.py:565: UserWarning: model_confidence is set to `softmax`. It is recommended to try using `model_confidence=linear_norm` to make it easier to tune fallback thresholds.
  category=UserWarning,

Please help ASAP. Thanks.

Can someone reply, please?

I have the same issue, can some one please help us?
Also I can’t connect to https://localhost:5002/login?username=me&password=my-secure-password, it responed with error “This site can’t provide a secure connection”

Here is information of my setup:
Rasa Version : 2.7.0
Minimum Compatible Version: 2.6.0
Rasa SDK Version : 2.7.0
Rasa X Version : 0.40.1
Python Version : 3.7.6
Operating System : Windows-10-10.0.19041-SP0

same error : 2021-06-27 10:52:15 ERROR concurrent.futures - exception calling callback for <Future at 0x16c5509bdc0 state=finished raised gaierror> Traceback (most recent call last): File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\socket.py”, line 918, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

windows 10

@dx111ge What process you following while installing rasa-x and can you provide us the error screenshot?

i did the local installation as described in docs pip install rasa_x. rasa itself is working. The error message as shown above comes after i try to start rasa x from command prompt with admin credentials.

@dx111ge have you seen this video https://youtu.be/YweVKcio1-Y check this out.

believe me, i did check this video and a lot of other sources. but it seems not be solved. I just use due to another issue the following command for installation: pip install --use-deprecated=legacy-resolver rasa-x --extra-index-url https://pypi.rasa.com/simple

i got rasax up and running on a macbook pro, but right now i have another issue on iMac … again, a lot of error reports, but no solution… just frustrating.

@dx111ge screenshot of error?

(venv) C:\Users\svena\PycharmProjects\RasaPlain>rasa x Starting Rasa X in local mode… � 2021-06-27 15:47:57 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-06-27 15:48:00 ERROR concurrent.futures - exception calling callback for <Future at 0x17bd672eb50 state=finished raised gaierror> Traceback (most recent call last): File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\socket.py”, line 918, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe self._check_closed() File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-06-27 15:48:00 ERROR concurrent.futures - exception calling callback for <Future at 0x17bd67360d0 state=finished returned list> Traceback (most recent call last): File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe self._check_closed() File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\rasa\cli\x.py”, line 495, in run_locally local.main( File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\asyncio\base_events.py”, line 616, in run_until_complete return future.result() File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\rasax\community\services\stack_service.py”, line 92, in version response = await session.get( File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/. Goodbye � 2021-06-27 15:48:04 ERROR asyncio - Task was destroyed but it is pending! task: <Task pending name=‘Task-8’ coro=<TCPConnector._resolve_host() running at c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\aiohttp\connector.py:865> wait_for=<Future pending cb=[_chain_future.._call_check_cancel() at C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\asyncio\futures.py:360, <TaskWakeupMethWrapper object at 0x0000017BD672EFD0>()]> cb=[TCPConnector._create_direct_connection..drop_exception() at c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\aiohttp\connector.py:1002]> 2021-06-27 15:48:04 ERROR asyncio - Task was destroyed but it is pending! task: <Task pending name=‘Task-9’ coro=<TCPConnector._resolve_host() running at c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\aiohttp\connector.py:865> wait_for=<Future pending cb=[_chain_future.._call_check_cancel() at C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\asyncio\futures.py:360, <TaskWakeupMethWrapper object at 0x0000017BD6736580>()]> cb=[TCPConnector._create_direct_connection..drop_exception() at c:\users\svena\pycharmprojects\rasaplain\venv\lib\site-packages\aiohttp\connector.py:1002]> Exception ignored in: <Finalize object, dead> Traceback (most recent call last): File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\util.py”, line 224, in call File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\heap.py”, line 278, in free AttributeError: ‘NoneType’ object has no attribute ‘getpid’ Exception ignored in: <Finalize object, dead> Traceback (most recent call last): File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\util.py”, line 224, in call File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\popen_spawn_win32.py”, line 30, in _close_handles AttributeError: ‘NoneType’ object has no attribute ‘CloseHandle’ Exception ignored in: <Finalize object, dead> Traceback (most recent call last): File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\util.py”, line 224, in call File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\queues.py”, line 192, in _finalize_join TypeError: ‘NoneType’ object is not callable Exception ignored in: <Finalize object, dead> Traceback (most recent call last): File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\util.py”, line 224, in call File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\heap.py”, line 278, in free AttributeError: ‘NoneType’ object has no attribute ‘getpid’ Exception ignored in: <Finalize object, dead> Traceback (most recent call last): File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\util.py”, line 224, in call File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\heap.py”, line 278, in free AttributeError: ‘NoneType’ object has no attribute ‘getpid’ Exception ignored in: <Finalize object, dead> Traceback (most recent call last): File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\util.py”, line 224, in call File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\heap.py”, line 278, in free AttributeError: ‘NoneType’ object has no attribute ‘getpid’ Exception ignored in: <Finalize object, dead> Traceback (most recent call last): File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\util.py”, line 224, in call File “C:\Users\svena\AppData\Local\Programs\Python\Python38\lib\multiprocessing\heap.py”, line 278, in free AttributeError: ‘NoneType’ object has no attribute ‘getpid’

  • Python 3.8.10 (tags/v3.8.10:3d8993a, May 3 2021, 11:48:03) [MSC v.1928 64 bit (AMD64)] on win32
  • rasax 0.41.1
  • Rasa Version : 2.7.1
  • Minimum Compatible Version: 2.6.0
  • Rasa SDK Version : 2.7.0
  • Rasa X Version : 0.41.1
  • Python Version : 3.8.10
  • Operating System : Windows-10-10.0.19041-SP0

@dx111ge If you error persist create a fresh environment and install rasa-x or check for update for your system. I hope it solve your issue.

@nik202 I have done this already more than 10 times!!! creating environments, going through StackOverflow, Github, youtube, RASA forum looking for answers but nothing helped. And the good news is that, as no one from RASA replied and nothing worked out, the project was stopped and we did not use RASA-X. A big thanks to RASA for such a big work.

1 Like

@twaris I am sorry to hear that, but I seriously want to help you in this issue. Can you tell me what step you are using. If not rasa-x are you comfortable with rasa open source? I guess you using Windows 10?

Starting Rasa X in local mode… � 2021-06-28 19:07:53 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-06-28 19:07:56 ERROR concurrent.futures - exception calling callback for <Future at 0x182b66b0100 state=finished raised gaierror> Traceback (most recent call last): File “c:\users\work\anaconda3\envs\rasa-l\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “c:\users\work\anaconda3\envs\rasa-l\lib\socket.py”, line 914, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\users\work\anaconda3\envs\rasa-l\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-06-28 19:07:56 ERROR concurrent.futures - exception calling callback for <Future at 0x182b66b05b0 state=finished returned list> Traceback (most recent call last): File “c:\users\work\anaconda3\envs\rasa-l\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasa\cli\x.py”, line 495, in run_locally local.main( File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\base_events.py”, line 608, in run_until_complete return future.result() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\stack_service.py”, line 92, in version response = await session.get( File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that poppe d up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

versions: pip --version pip 20.2

rasa --version Rasa Version : 2.7.1 Minimum Compatible Version: 2.6.0 Rasa SDK Version : 2.7.0 Rasa X Version : 0.41.1 Python Version : 3.8.0 Operating System : Windows-10-10.0.19041-SP0

I’m also facing a similar issue and I don’t know how to resolve this. pip downgrading to 20.2 helps me to install rasa-x without any conflicts with rasa open source. But it failed to run rasa x command and throwing this error.

I also refer the Rasa Compatibility Matrix these versions are matching with each other.

And I installed locally like this,

  1. pip install rasa==2.7.1

  2. down grade pip version to pip install pip==20.2 --user

  3. pip install rasa-x==0.41.1 --extra-index-url https://pypi.rasa.com/simple

Any help regarding this would be a great help for me. Thank you in advance.

@nigil_raj install this in env pip3 install rasa[full] or pip install rasa[full] and then try. It very strange error, everyone is facing this.

Hi @nik202 Thanks for your response but it’s not working and still showing me the same error. And it is not opening the rasa x webpage. Any other way to resolve this? or after pip install rasa[full]. what is the procedure to install rasa x ?

@nigil_raj with same way as you mention or without version?

@nik202 1. pip install rasa-x==0.41.1 --extra-index-url https://pypi.rasa.com/simple I used this after pip install rasa[full]. But it raising the same error.

@nik202 2021-06-28 20:14:17 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-06-28 20:14:20 ERROR concurrent.futures - exception calling callback for <Future at 0x26374535a00 state=finished raised gaierror> Traceback (most recent call last): File “c:\users\work\anaconda3\envs\rasa-l\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “c:\users\work\anaconda3\envs\rasa-l\lib\socket.py”, line 914, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\users\work\anaconda3\envs\rasa-l\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-06-28 20:14:20 ERROR concurrent.futures - exception calling callback for <Future at 0x26374535eb0 state=finished returned list> Traceback (most recent call last): File “c:\users\work\anaconda3\envs\rasa-l\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasa\cli\x.py”, line 495, in run_locally local.main( File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “c:\users\work\anaconda3\envs\rasa-l\lib\asyncio\base_events.py”, line 608, in run_until_complete return future.result() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\rasax\community\services\stack_service.py”, line 92, in version response = await session.get( File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “c:\users\work\anaconda3\envs\rasa-l\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

@nigil_raj :frowning: